CVE-2023-41080

Public on 2023-08-25
Modified on 2024-01-12
Description
URL Redirection to Untrusted Site ('Open Redirect') vulnerability in FORM authentication feature Apache Tomcat.This issue affects Apache Tomcat: from 11.0.0-M1 through 11.0.0-M10, from 10.1.0-M1 through 10.0.12, from 9.0.0-M1 through 9.0.79 and from 8.5.0 through 8.5.92.

The vulnerability is limited to the ROOT (default) web application.
Severity
Medium severity
Medium
CVSS v3 Base Score
5.9
See breakdown

Affected Packages

Platform Package Release Date Advisory Status
Amazon Linux 2 - Tomcat8.5 Extra tomcat 2023-09-14 ALAS2TOMCAT8.5-2023-015 Fixed
Amazon Linux 2 - Tomcat9 Extra tomcat 2023-09-14 ALAS2TOMCAT9-2023-009 Fixed
Amazon Linux 1 tomcat8 2023-10-12 ALAS-2023-1861 Fixed
Amazon Linux 2023 tomcat9 2023-09-27 ALAS2023-2023-365 Fixed

CVSS Scores

Score Type Score Vector
Amazon Linux CVSSv3 5.9 CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N
NVD CVSSv3 6.1 CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:C/C:L/I:L/A:N